Bug 813562 - [abrt] control-center-3.4.0-1.fc17: dbus_g_proxy_set_interface: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.4.0-1.fc17: dbus_g_proxy_set_interface: Process /usr/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:464d98be48c45bd4ad42aa1c221...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 17:34 EDT by Lukas Bezdicka
Modified: 2013-08-01 14:41 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.37 KB, text/plain)
2012-04-17 17:35 EDT, Lukas Bezdicka
no flags Details
File: maps (92.02 KB, text/plain)
2012-04-17 17:35 EDT, Lukas Bezdicka
no flags Details
File: dso_list (19.44 KB, text/plain)
2012-04-17 17:35 EDT, Lukas Bezdicka
no flags Details
File: build_ids (8.01 KB, text/plain)
2012-04-17 17:35 EDT, Lukas Bezdicka
no flags Details

  None (edit)
Description Lukas Bezdicka 2012-04-17 17:34:56 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-control-center bluetooth
comment:        trying to setup dailup networking on phone connected via bluetooth
crash_function: dbus_g_proxy_set_interface
executable:     /usr/bin/gnome-control-center
kernel:         3.3.2-1.fc17.x86_64
pid:            2415
pwd:            /home/lukas.bezdicka
remote_result:  NOTFOUND
time:           Tue 17 Apr 2012 23:27:43 CEST
uid:            1000
username:       lukas.bezdicka
var_log_messages: Apr 17 23:27:43 SelenE abrt[2422]: Saved core dump of pid 2415 (/usr/bin/gnome-control-center) to /var/spool/abrt/ccpp-2012-04-17-23:27:43-2415 (43855872 bytes)
xsession_errors: (gnome-control-center:2415): GLib-GObject-WARNING **: attempt to retrieve private data for invalid type 'DBusGProxy'

backtrace:      Text file, 37241 bytes
build_ids:      Text file, 8200 bytes
dso_list:       Text file, 19910 bytes
maps:           Text file, 94227 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/lukas.bezdicka/2

core_backtrace:
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d 0x13e69 dbus_g_proxy_set_interface libdbus-glib-1.so.2 -
:35008a29605a4a23dec7da5b53d34685dfb2918b 0x726d - libnma.so -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 signal_emit_unlocked_R libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x24bc9b gtk_toggle_button_toggled libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x24bcbf gtk_toggle_button_clicked libgtk-3.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf943 _g_closure_invoke_va libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0xba49b gtk_button_clicked libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x24b66d gtk_toggle_button_released libgtk-3.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20003 signal_emit_unlocked_R libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0xb9b63 gtk_button_button_release libgtk-3.so.0 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=SelenE
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:IMSETTINGS_MODULE=none
:USER=lukas.bezdicka
:USERNAME=lukas.bezdicka
:MAIL=/var/spool/mail/lukas.bezdicka
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/lukas.bezdicka/.local/bin:/home/lukas.bezdicka/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/lukas.bezdicka
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/lukas.bezdicka
:SHLVL=1
:LANGUAGE=en_US.UTF-8
:LOGNAME=lukas.bezdicka
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-wFpjtDUdfN,guid=9491595307afb386d366740600000014
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/lukas.bezdicka
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-lukas.bezdicka-LhJbJI/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1419,unix/unix:/tmp/.ICE-unix/1419
:GNOME_KEYRING_CONTROL=/run/user/lukas.bezdicka/keyring-tapi8d
:GPG_AGENT_INFO=/run/user/lukas.bezdicka/keyring-tapi8d/gpg:0:1
:SSH_AUTH_SOCK=/run/user/lukas.bezdicka/keyring-tapi8d/ssh
:LC_TIME=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_MONETARY=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/bluetooth-properties.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2415
:DESKTOP_STARTUP_ID=gnome-shell-1690-SelenE-gnome-control-center-1_TIME778833

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 61952                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       61952                61952                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/lukas.bezdicka/.xsession-errors
:pos:	12323
:flags:	0102002
:2:/home/lukas.bezdicka/.xsession-errors
:pos:	12323
:flags:	0102002
:3:socket:[27617]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[35344]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[35352]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:/dev/rfkill
:pos:	0
:flags:	0104002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:socket:[35844]
:pos:	0
:flags:	02004002
:14:socket:[34509]
:pos:	0
:flags:	02004002
:15:socket:[33716]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 6a4137b0-2c90-40b5-bfe4-393417bddfef
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5382.84
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 7763
:System Swap: 5023
:Vendor: LENOVO
:System: 41716VG ThinkPad T420s
:Form factor: Notebook
:Kernel: 3.3.2-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8658) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:294:6058:8659) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8658) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7202:6058:8658) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(4480:59427:6058:8658) pci, sdhci-pci, BASE, N/A
:(4147:404:6058:8658) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7171:6058:8658) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8658) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8658) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8658) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8658) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_selene-lv_root / ext4 4096 4096 13081819 7792122 7136762 3276800 2866933 2866933
:/dev/sda1 /boot ext4 1024 1024 508745 406133 380533 128016 127684 127684
:/dev/mapper/vg_selene-lv_home /home ext4 4096 4096 24505219 2271088 1043927 6135808 5721876 5721876
:
Comment 1 Lukas Bezdicka 2012-04-17 17:35:01 EDT
Created attachment 578160 [details]
File: backtrace
Comment 2 Lukas Bezdicka 2012-04-17 17:35:04 EDT
Created attachment 578161 [details]
File: maps
Comment 3 Lukas Bezdicka 2012-04-17 17:35:06 EDT
Created attachment 578162 [details]
File: dso_list
Comment 4 Lukas Bezdicka 2012-04-17 17:35:09 EDT
Created attachment 578163 [details]
File: build_ids
Comment 5 Giovanni Campagna 2012-05-04 08:58:02 EDT
Happens if you try to setup bluetooth DUN, probably because the gnome-bluetooth plugin in NetworkManager was not ported from dbus-glib to GDBus

backtrace_rating: 4
Package: control-center-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Jan Willies 2012-06-08 08:13:36 EDT
Is there any other way to go online via bluetooth? I'm offline at the moment because of this bug.
Comment 7 Yajo 2012-06-18 17:19:40 EDT
Trying to activate DUN from a mobile phone via bluetooth from gnome-control-center after an unsuccessful pairing.

You can find additional problems that leaded me to this in bug #754469 comment #5.

All this stuff used to work with this same phone in F16.


backtrace_rating: 4
Package: control-center-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Nicolas Trangez 2012-06-29 15:27:43 EDT
Tried to configure Bluetooth device for DUN.

Clicked the related checkbox in the BT control panel, after which I expected the connection wizard to pop up. Got a segfault instead.


backtrace_rating: 4
Package: control-center-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Dan Williams 2012-07-03 11:15:59 EDT
(In reply to comment #5)
> Happens if you try to setup bluetooth DUN, probably because the
> gnome-bluetooth plugin in NetworkManager was not ported from dbus-glib to
> GDBus
> 
> backtrace_rating: 4
> Package: control-center-3.4.1-1.fc17
> OS Release: Fedora release 17 (Beefy Miracle)

It should certainly be possible to use dbus-glib and GDBus in the same process.  I"d expect this to work smoothly until we do get around to porting it to GDBus.
Comment 10 Bastien Nocera 2012-07-03 14:27:07 EDT
(In reply to comment #9)
> (In reply to comment #5)
> > Happens if you try to setup bluetooth DUN, probably because the
> > gnome-bluetooth plugin in NetworkManager was not ported from dbus-glib to
> > GDBus
> > 
> > backtrace_rating: 4
> > Package: control-center-3.4.1-1.fc17
> > OS Release: Fedora release 17 (Beefy Miracle)
> 
> It should certainly be possible to use dbus-glib and GDBus in the same
> process.  I"d expect this to work smoothly until we do get around to porting
> it to GDBus.

That's not the problem, gnome-bluetooth has been ported to use GDBus, NM didn't follow suite (eg. it's asking gnome-bluetooth for the DBus proxy, and gets something of the wrong type).

Pretty sure this is upstream too.
Comment 11 Stan King 2012-07-07 22:43:09 EDT
This happened when when trying to use the Internet via a bluetooth connection between this computer (running Fedora 17) and a Nokia N8 cellphone, running Symbian^3.  The bluetooth connection had already been established, but there were a few quirks along the way.

I think I can reliably reproduce this, if you'd like me to capture more data or try something different in order to gather more information.


backtrace_rating: 4
Package: control-center-3.4.2-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Igor Bukanov 2012-07-11 20:44:23 EDT
I conform this bug with two phones from Samsung, one is GT-BT2710 and another one is Nexus. In both cases in Fedora 16 I could connect without ani problems.

Are there any workarounds to enable DUNor should I just revert to Fedora 16?
Comment 13 bugs 2012-07-13 05:55:22 EDT
Happens also with N9 and N900.
Comment 14 Yajo 2012-07-15 06:30:00 EDT
Trying to stablish DUN connection with mobile phone via bluetooth. This worked in F16.

backtrace_rating: 4
Package: control-center-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 bugs 2012-07-31 11:03:14 EDT
Any news on this one? This is pretty much a blocker for certain users.
Comment 16 Igor Bukanov 2012-07-31 11:32:32 EDT
As a workaround install all the latest updates, install KDE desktop and try to setup DUN connection using KDE. It worked for me, see bug 754469. After that I could switch to gnome desktop and activate the already established connection from there.
Comment 19 Dan Winship 2012-10-19 09:27:38 EDT
(In reply to comment #18)
> Upstream fixes in gnome-bluetooth plugin:
> http://git.gnome.org/browse/network-manager-applet/commit/
> ?id=dac307f98ff7c6ac9eb1f934b6b362066df9368d
> http://git.gnome.org/browse/network-manager-applet/commit/
> ?id=56d0e9334990adb174c9b669f26676b99bdd682b

so is this working now with the latest f18 packages?
Comment 20 Fedora End Of Life 2013-07-04 02:59:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2013-08-01 14:41:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.